Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.metadata.common.service.impl
Class HibernateCompositeSaveOrUpdateListener

    java.lang.Object
      org.hibernate.event.def.AbstractReassociateEventListener
          org.hibernate.event.def.AbstractSaveEventListener
              org.hibernate.event.def.DefaultSaveOrUpdateEventListener
                  com.jaspersoft.jasperserver.api.metadata.common.service.impl.HibernateCompositeSaveOrUpdateListener

All Implemented Interfaces:
  java.io.Serializable, org.hibernate.event.SaveOrUpdateEventListener

    public class HibernateCompositeSaveOrUpdateListener

extends org.hibernate.event.def.DefaultSaveOrUpdateEventListener

Version:
  $Id: HibernateCompositeSaveOrUpdateListener.java 8408 2007-05-29 23:29:12Z melih $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)
See Also:
  Serialized Form

Nested Class Summary
`protected static interface` | `HibernateCompositeSaveOrUpdateListener.ListenerVisitor`

Field Summary

Fields inherited from class org.hibernate.event.def.AbstractSaveEventListener
`DELETED, DETACHED, PERSISTENT, TRANSIENT`

Constructor Summary
`HibernateCompositeSaveOrUpdateListener()`

Method Summary
`java.util.List` | `getListeners()`
`void` | `onSaveOrUpdate(org.hibernate.event.SaveOrUpdateEvent event)`
`void` | `setListeners(java.util.List listeners)`
`protected void` | `visitListeners(HibernateCompositeSaveOrUpdateListener.ListenerVisitor visitor)`

Methods inherited from class org.hibernate.event.def.DefaultSaveOrUpdateEventListener
`entityIsDetached, entityIsPersistent, entityIsTransient, getCascadeAction, getUpdateId, invokeUpdateLifecycle, performSaveOrUpdate, performUpdate, reassociateIfUninitializedProxy, saveWithGeneratedOrRequestedId`

Methods inherited from class org.hibernate.event.def.AbstractSaveEventListener
`cascadeAfterSave, cascadeBeforeSave, getAssumedUnsaved, getEntityState, getLoggableName, getMergeMap, invokeSaveLifecycle, isVersionIncrementDisabled, performSave, performSaveOrReplicate, saveWithGeneratedId, saveWithRequestedId, substituteValuesIfNecessary, validate, visitCollectionsBeforeSave`

Methods inherited from class org.hibernate.event.def.AbstractReassociateEventListener
`reassociate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HibernateCompositeSaveOrUpdateListener

    public HibernateCompositeSaveOrUpdateListener()

Method Detail

### getListeners

    public java.util.List getListeners()

### setListeners

    public void setListeners(java.util.List listeners)

### onSaveOrUpdate

    public void onSaveOrUpdate(org.hibernate.event.SaveOrUpdateEvent event)
                        throws org.hibernate.HibernateException

  Specified by:
    `onSaveOrUpdate` in interface `org.hibernate.event.SaveOrUpdateEventListener`
  Overrides:
    `onSaveOrUpdate` in class `org.hibernate.event.def.DefaultSaveOrUpdateEventListener`
  Throws:
    `org.hibernate.HibernateException`

### visitListeners

    protected void visitListeners(HibernateCompositeSaveOrUpdateListener.ListenerVisitor visitor)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.